# Class RelayXWallet

#### Hierarchy

- RelayXWallet

#### Implements

- EncryptablePaymailWallet

- Defined in wallets/relayx-wallet.ts:19

#####
Index

### Constructors

constructor

### Properties

bitcomPrefix
paymail
paymailClient
relayone

### Methods

authenticate
decrypt
encrypt
getChangeOutputScript
getPaymail
getPaymailPublicKey
getSpendableBalance
isAuthenticated
sendToBitcoinAddress
sign
verify

## Constructors

### constructor

- new RelayXWallet(options: RelayXBuilderOptions): RelayXWallet

- #### Parameters

  - ##### options: RelayXBuilderOptions

  #### Returns RelayXWallet

  - Defined in wallets/relayx-wallet.ts:25

## Properties

### `Optional` bitcomPrefix

bitcomPrefix?: string

- Defined in wallets/relayx-wallet.ts:23

### `Optional` paymail

paymail?: string

- Defined in wallets/relayx-wallet.ts:22

### paymailClient

paymailClient: any = ...

- Defined in wallets/relayx-wallet.ts:20

### relayone

relayone: any

- Defined in wallets/relayx-wallet.ts:21

## Methods

### authenticate

- authenticate(): Promise<void>

- #### Returns Promise<void>

  Implementation of Polywallet.EncryptablePaymailWallet.authenticate

  - Defined in wallets/relayx-wallet.ts:40

### decrypt

- decrypt(cipherText: Uint8Array): Promise<Uint8Array>

- #### Parameters

  - ##### cipherText: Uint8Array

  #### Returns Promise<Uint8Array>

  Implementation of Polywallet.EncryptablePaymailWallet.decrypt

  - Defined in wallets/relayx-wallet.ts:131

### encrypt

- encrypt(plainText: Uint8Array): Promise<Uint8Array>

- #### Parameters

  - ##### plainText: Uint8Array

  #### Returns Promise<Uint8Array>

  Implementation of Polywallet.EncryptablePaymailWallet.encrypt

  - Defined in wallets/relayx-wallet.ts:119

### getChangeOutputScript

- getChangeOutputScript(): Promise<Uint8Array>

- #### Returns Promise<Uint8Array>

  Implementation of Polywallet.EncryptablePaymailWallet.getChangeOutputScript

  - Defined in wallets/relayx-wallet.ts:139

### getPaymail

- getPaymail(): Promise<string>

- #### Returns Promise<string>

  Implementation of Polywallet.EncryptablePaymailWallet.getPaymail

  - Defined in wallets/relayx-wallet.ts:50

### `Private` getPaymailPublicKey

- getPaymailPublicKey(): Promise<PublicKey>

- #### Returns Promise<PublicKey>

  - Defined in wallets/relayx-wallet.ts:165

### getSpendableBalance

- getSpendableBalance(): Promise<number>

- #### Returns Promise<number>

  Implementation of Polywallet.EncryptablePaymailWallet.getSpendableBalance

  - Defined in wallets/relayx-wallet.ts:81

### isAuthenticated

- isAuthenticated(): Promise<boolean>

- #### Returns Promise<boolean>

  Implementation of Polywallet.EncryptablePaymailWallet.isAuthenticated

  - Defined in wallets/relayx-wallet.ts:30

### sendToBitcoinAddress

- sendToBitcoinAddress(destinationAddress: string, amountSatoshis: number): Promise<Utxo>

- #### Parameters

  - ##### destinationAddress: string

  - ##### amountSatoshis: number

  #### Returns Promise<Utxo>

  Implementation of Polywallet.EncryptablePaymailWallet.sendToBitcoinAddress

  - Defined in wallets/relayx-wallet.ts:85

### sign

- sign(data: Uint8Array): Promise<ISignaturePair>

- #### Parameters

  - ##### data: Uint8Array

  #### Returns Promise<ISignaturePair>

  Implementation of Polywallet.EncryptablePaymailWallet.sign

  - Defined in wallets/relayx-wallet.ts:63

### verify

- verify(message: Uint8Array, signature: Uint8Array): Promise<boolean>

- #### Parameters

  - ##### message: Uint8Array

  - ##### signature: Uint8Array

  #### Returns Promise<boolean>

  Implementation of Polywallet.EncryptablePaymailWallet.verify

  - Defined in wallets/relayx-wallet.ts:76

Generated using TypeDoc